Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSnapshotAttributeResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeSnapshotAttributeResult

    public class DescribeSnapshotAttributeResult

extends Object

The result of describing an EBS snapshot attribute.

Constructor Summary
`DescribeSnapshotAttributeResult()`

Method Summary
`List<CreateVolumePermission>` | `getCreateVolumePermissions()` The list of permissions describing who can create a volume from the associated EBS snapshot.
`String` | `getSnapshotId()` The ID of the snapshot whose attribute is being described.
`void` | `setCreateVolumePermissions(Collection<CreateVolumePermission> createVolumePermissions)` The list of permissions describing who can create a volume from the associated EBS snapshot.
`void` | `setSnapshotId(String snapshotId)` The ID of the snapshot whose attribute is being described.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSnapshotAttributeResult` | `withCreateVolumePermissions(Collection<CreateVolumePermission> createVolumePermissions)` The list of permissions describing who can create a volume from the associated EBS snapshot.
`DescribeSnapshotAttributeResult` | `withCreateVolumePermissions(CreateVolumePermission... createVolumePermissions)` The list of permissions describing who can create a volume from the associated EBS snapshot.
`DescribeSnapshotAttributeResult` | `withSnapshotId(String snapshotId)` The ID of the snapshot whose attribute is being described.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSnapshotAttributeResult

    public DescribeSnapshotAttributeResult()

Method Detail

### getSnapshotId

    public String getSnapshotId()

  The ID of the snapshot whose attribute is being described.

  Returns:
    The ID of the snapshot whose attribute is being described.

### setSnapshotId

    public void setSnapshotId(String snapshotId)

  The ID of the snapshot whose attribute is being described.

  Parameters:
    `snapshotId` - The ID of the snapshot whose attribute is being described.

### withSnapshotId

    public DescribeSnapshotAttributeResult withSnapshotId(String snapshotId)

  The ID of the snapshot whose attribute is being described.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotId` - The ID of the snapshot whose attribute is being described.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreateVolumePermissions

    public List<CreateVolumePermission> getCreateVolumePermissions()

  The list of permissions describing who can create a volume from the associated EBS snapshot.

  Only available if the createVolumePermission attribute is requested.

  Returns:
    The list of permissions describing who can create a volume from the associated EBS snapshot.

    Only available if the createVolumePermission attribute is requested.

### setCreateVolumePermissions

    public void setCreateVolumePermissions(Collection<CreateVolumePermission> createVolumePermissions)

  The list of permissions describing who can create a volume from the associated EBS snapshot.

  Only available if the createVolumePermission attribute is requested.

  Parameters:
    `createVolumePermissions` - The list of permissions describing who can create a volume from the associated EBS snapshot.

    Only available if the createVolumePermission attribute is requested.

### withCreateVolumePermissions

    public DescribeSnapshotAttributeResult withCreateVolumePermissions(CreateVolumePermission... createVolumePermissions)

  The list of permissions describing who can create a volume from the associated EBS snapshot.

  Only available if the createVolumePermission attribute is requested.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createVolumePermissions` - The list of permissions describing who can create a volume from the associated EBS snapshot.

    Only available if the createVolumePermission attribute is requested.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### withCreateVolumePermissions

    public DescribeSnapshotAttributeResult withCreateVolumePermissions(Collection<CreateVolumePermission> createVolumePermissions)

  The list of permissions describing who can create a volume from the associated EBS snapshot.

  Only available if the createVolumePermission attribute is requested.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createVolumePermissions` - The list of permissions describing who can create a volume from the associated EBS snapshot.

    Only available if the createVolumePermission attribute is requested.

  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.